#if !defined(AFX_COLORDLGBAR_H__781D747A_8622_496E_BC8A_941D88A85597__INCLUDED_)
#define AFX_COLORDLGBAR_H__781D747A_8622_496E_BC8A_941D88A85597__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorDlgBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorDlgBar dialog

class CColorDlgBar : public CDialogBar
{
// Construction
public:
	CColorDlgBar(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CColorDlgBar)
	enum { IDD = CG_IDD_COLORDLGBAR };
	int		m_cbPenWidth;
	BOOL	m_bFill;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorDlgBar)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CColorDlgBar)
	afx_msg void OnSetColorForeground();
	afx_msg void OnSetColorBackground();
	afx_msg void OnPaint();
	afx_msg void OnSelchangeComboPenwidth();
	afx_msg void OnCheckFill();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORDLGBAR_H__781D747A_8622_496E_BC8A_941D88A85597__INCLUDED_)
